using UnityEngine;
using UnityEngine.Events;
using Wave;

namespace Events
{
    [CreateAssetMenu(menuName = "Events/Spawn Wave Event")]
    public class SpawnWaveEventSO : ScriptableObject
    {
        public event UnityAction<SpawnWaveSO> OnEventRaised;

        public void RaiseEvent(SpawnWaveSO spawnWave)
        {
            OnEventRaised?.Invoke(spawnWave);
        }
    }
}